package com.goldenwater.gx.mapper;

import com.goldenwater.gx.domain.DocFile;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DocFileMapper {

    List<DocFile> selectFileList(@Param("dirId") Long dirId);

    DocFile selectFileById(@Param("id") Long id);

    int insertFile(DocFile file);

    int updateFile(DocFile file);

    int deleteFileById(@Param("id") Long id);

    int countByDirId(@Param("dirId") Long dirId);
}
